CREATE TABLE NODE (
  id        BIGINT      NOT NULL AUTO_INCREMENT PRIMARY KEY,
  name      VARCHAR(60) NOT NULL,
  parent_id BIGINT,
  CONSTRAINT NODE_PARENT_NODE_FK FOREIGN KEY (parent_id) REFERENCES NODE (id) ON DELETE CASCADE,
  CONSTRAINT PARENT_ID_NAME_UQ UNIQUE (parent_id, name)
);
